%define major 16
%define libname %mklibname etpan %{major}
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.1
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://libetpan.sourceforge.net/ 
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libetpan-0.58-drop-ldflags.patch
Patch1:		libetpan-1.1-link.patch
BuildRequires:	gnutls-devel
BuildRequires:	db4-devel
BuildRequires:	libcurl-devel
BuildRequires:	libexpat-devel

%description
The purpose of this mail library is to provide a portable, efficient 
framework for different kinds of mail access. When using the drivers 
interface, the interface is the same for all kinds of mail access, 
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries 

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient 
framework for different kinds of mail access. When using the drivers 
interface, the interface is the same for all kinds of mail access, 
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%{_lib}etpan11-devel < 0.54

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoreconf -fi
%configure2_5x \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

#workaround for *.h detections 
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan 

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
 
%files -n %{develname}
%defattr(-,root,root) 
%doc ChangeLog NEWS 
%doc doc/*
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.so


%changelog

* Tue Jan 03 2012 fwang <fwang> 1.1-2.mga2
+ Revision: 189929
- fix obsoletes

* Tue Jan 03 2012 fwang <fwang> 1.1-1.mga2
+ Revision: 189872
- update libmajor
- fix linkage
- rebuild for new gnutls

  + tv <tv>
    - new release

* Fri Feb 25 2011 ahmad <ahmad> 1.0-2.mga1
+ Revision: 59220
- disable static build and don't ship .la
- drop old/unneeded scriptlets
- imported package libetpan

